package app

import (
	"git.clearsky.net.au/cody/gex.git/app/route/home"
	"git.clearsky.net.au/cody/gex.git/pkg/sec"
	"git.clearsky.net.au/cody/gex.git/pkg/sess"

	"git.clearsky.net.au/cody/gex.git/pkg/gen"
	"git.clearsky.net.au/cody/gex.git/pkg/gex"
)

func Init() {
	gen.GeneratePages("app")
}

func Middleware() {
	gex.AddMiddleware(sess.Middleware)
	gex.AddMiddleware(sec.Middleware)
}

func Routes() {
	type roles []string
	sec.Route("/{$}", roles{"Everyone"}, home.Index)
}
